> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tasks/Outreach Summary by Collector



## OpenAPI

````yaml /openapi.json get /v1/analytics/collectors/summary
openapi: 3.0.3
info:
  contact:
    name: Stuut Support
    url: https://stuut.ai
    email: devs@stuut.co
  termsOfService: https://stuut.ai/terms-and-conditions
  title: Stuut API
  version: 0.1.0
servers:
  - url: http://api.stuut.ai
security: []
tags:
  - name: Analytics
  - name: Bank Accounts
  - name: Bank Statements
  - name: Bank Transactions
  - name: Call Agents
  - name: Call Agent Scenarios
  - name: Calls
  - name: Contact Suggestions
  - name: demo
  - name: Email Senders
  - name: Email Templates
  - name: Email Template Folders
  - name: Email Threads
  - name: Emails
  - name: Files
  - name: Invoices
  - name: Notes
  - name: Organizations
  - name: Outreach Workflows
  - name: Partners
  - name: Partner Contacts
  - name: Payments
  - name: Phone Numbers
  - name: Plaid
  - name: Profile
  - name: Pusher
  - name: Remittances
  - name: Tags
  - name: Tasks
  - name: User Invites
  - name: Users
paths:
  /v1/analytics/collectors/summary:
    get:
      tags:
        - Analytics
      summary: Get Tasks/Outreach Summary by Collector
      operationId: analytics.collectors-summary
      parameters:
        - in: query
          name: interval
          description: The time period for the query
          schema:
            type: string
            default: monthly
            enum:
              - weekly
              - monthly
              - all
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectorSummary'
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Authentication error
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    CollectorSummary:
      type: object
      properties:
        data:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/CollectorSummarySerializable'
    StuutErrorHTTP:
      type: object
      properties:
        data:
          type: object
          additionalProperties: {}
        error:
          type: string
        message:
          type: string
      required:
        - data
        - error
        - message
    ValidationError:
      properties:
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
        message:
          type: string
      type: object
    CollectorSummarySerializable:
      type: object
      properties:
        user:
          $ref: '#/components/schemas/User'
        period_start:
          type: string
          format: date
          description: The period start date.
        period_end:
          type: string
          format: date
          description: The period start date.
        tasks_closed:
          type: integer
          default: 0
          description: 'Total # of closed tasks'
        tasks_completed:
          type: integer
          default: 0
          description: 'Total # of completed tasks'
        total_tasks:
          type: integer
          default: 0
          description: 'Total # of tasks'
        tasks_open:
          type: integer
          default: 0
          description: 'Total # of open tasks'
        avg_response_time:
          type: number
          description: Average response time in minutes
        emails_automated:
          type: integer
          description: 'Total # of automated outbound emails.'
        emails_generated:
          type: integer
          description: 'Total # of AI/template generated emails.'
        emails_originated_in_stuut:
          type: integer
          description: 'Total # of emails which originated in stuut.'
        emails_outbound:
          type: integer
          description: 'Total # of outbound emails'
        emails_touched_by_stuut:
          type: integer
          description: 'Total # of outbound emails touched by stuut'
      required:
        - avg_response_time
        - emails_automated
        - emails_generated
        - emails_originated_in_stuut
        - emails_outbound
        - emails_touched_by_stuut
        - period_end
        - period_start
    User:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        created_at:
          type: string
          format: date-time
        dashboard_settings:
          $ref: '#/components/schemas/DashboardSettings'
        default_email_sender_id:
          type: string
          maxLength: 32
          nullable: true
        email:
          type: string
          maxLength: 255
        family_name:
          type: string
        given_name:
          type: string
        invited_by_user_id:
          type: string
          maxLength: 32
          nullable: true
        is_access_approved:
          type: boolean
        is_org_admin:
          type: boolean
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          readOnly: true
        object:
          type: string
        onboarding_required:
          type: boolean
        organization_id:
          type: string
          maxLength: 32
        profile_picture:
          type: string
        selected:
          type: boolean
      required:
        - email
        - family_name
        - given_name
        - object
        - organization_id
    DashboardSettings:
      type: object
      properties:
        thread_emails_sort_order:
          type: string
          default: asc
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````